#! /usr/bin/python
# Copyright (C) 2010 by Intevation GmbH
# Authors:
# Bjoern Ricks    <bjoern.ricks@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

from optparse import OptionParser

import treepkgcmd
from treepkg.info.data import CacheDb

def main():
    parser = OptionParser()
    parser.add_option("--db", help=("path to the CacheDb"))
    options, args = parser.parse_args()

    cachedb = CacheDb(options.db)
    packages = cachedb.get_packages()
    for package in packages:
        print "============================="
        print "name:    %s" % package.name
        print "============================="
        print "binary:  %s" % package.filename
        print "source:  %s" % package.sourcepath
        print "arch:    %s" % package.arch
        print "md5sum:  %s" % package.md5sum

if __name__ == "__main__":
    main()
